Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTableWidgetSelectionRange

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTableWidgetSelectionRange

All Implemented Interfaces:
  QtJambiInterface

    public class QTableWidgetSelectionRange

extends QtJambiObject

The `QTableWidgetSelectionRange` class provides a container for storing a selection range in a `QTableWidget`.

The `QTableWidgetSelectionRange` class stores the top left and bottom right rows and columns of a selection range in a table. The selections in the table may consist of several selection ranges.

See Also:
  `QTableWidget`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QTableWidgetSelectionRange()` Constructs an table selection range, i.e. a range whose `rowCount` and `columnCount` are 0.
`QTableWidgetSelectionRange(int top, int left, int bottom, int right)` Constructs the table selection range from the given `top`, `left`, `bottom` and `right` table rows and columns.
`QTableWidgetSelectionRange(QTableWidgetSelectionRange other)` Constructs a the table selection range by copying the given `other` table selection range.

Method Summary
`int` | `bottomRow()` Returns the bottom row of the range.
`int` | `columnCount()` Returns the number of columns in the range.
`static QTableWidgetSelectionRange` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QTableWidgetSelectionRange instance pointed to by nativePointer
`int` | `leftColumn()` Returns the left column of the range.
`static QNativePointer` | `nativePointerArray(QTableWidgetSelectionRange[] array)` This function returns a QNativePointer that is pointing to the specified QTableWidgetSelectionRange array.
`int` | `rightColumn()` Returns the right column of the range.
`int` | `rowCount()` Returns the number of rows in the range.
`int` | `topRow()` Returns the top row of the range.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTableWidgetSelectionRange

    public QTableWidgetSelectionRange(int top,
                                      int left,
                                      int bottom,
                                      int right)

  Constructs the table selection range from the given `top`, `left`, `bottom` and `right` table rows and columns.

  See Also:
    `topRow`, `leftColumn`, `bottomRow`, `rightColumn`

### QTableWidgetSelectionRange

    public QTableWidgetSelectionRange(QTableWidgetSelectionRange other)

  Constructs a the table selection range by copying the given `other` table selection range.

### QTableWidgetSelectionRange

    public QTableWidgetSelectionRange()

  Constructs an table selection range, i.e. a range whose `rowCount` and `columnCount` are 0.

Method Detail

### bottomRow

    public final int bottomRow()

  Returns the bottom row of the range.

  See Also:
    `topRow`, `rightColumn`, `rowCount`

### columnCount

    public final int columnCount()

  Returns the number of columns in the range.

  This is equivalent to `rightColumn` - `leftColumn` + 1.

  See Also:
    `rowCount`, `leftColumn`, `rightColumn`

### leftColumn

    public final int leftColumn()

  Returns the left column of the range.

  See Also:
    `rightColumn`, `topRow`, `columnCount`

### rightColumn

    public final int rightColumn()

  Returns the right column of the range.

  See Also:
    `leftColumn`, `bottomRow`, `columnCount`

### rowCount

    public final int rowCount()

  Returns the number of rows in the range.

  This is equivalent to `bottomRow` - `topRow` + 1.

  See Also:
    `columnCount`, `topRow`, `bottomRow`

### topRow

    public final int topRow()

  Returns the top row of the range.

  See Also:
    `bottomRow`, `leftColumn`, `rowCount`

### fromNativePointer

    public static QTableWidgetSelectionRange fromNativePointer(QNativePointer nativePointer)

  This function returns the QTableWidgetSelectionRange instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTableWidgetSelectionRange[] array)

  This function returns a QNativePointer that is pointing to the specified QTableWidgetSelectionRange array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD